[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Snapshot problems!!!



On Thursday 26 November 2009, 08:47:45, Marco Amadori wrote:

> On Thursday 26 November 2009, 05:11:03, Rob Owens wrote:
> > > Well!! All work fine... except snapshot!!! I don't know if I do
> > > something bad or, in fact, I don't understand.
> > >
> > > With live system running I do "live-snapshot -d /dev/hdb1" and
> > > live-sn.cpio.gz is saved on /dev/hdb1 with all data cluster. But if I
> > > do "live-snapshot -f" or "reboot", live-sn.cpio.gz is saved with
> > > nothing and all persistent data is deleted.
> 
> This is ok, a reboot is required before snapshot to work or you will need
>  to add e.g. "export ROOTSNAP=/root:/dev/hdb1:live-sn.cpio.gz" in
>  /etc/live.conf.
> 
> > I'm having a similar problem.  Could somebody post some basic
> > instructions on how to properly use snapshots?
> 
> The way you used it is correct, last time I checked (months ago, on sid) it
> worked, I'll look if any regression was introduced since.

I introduced the regression while fixing another feature, I must learn that 
there are no such thing like "small refactoring" without testing, my apologize 
to all.

This patch will fix the problem:

diff --git a/bin/live-snapshot b/bin/live-snapshot
index 18b067b..55673bb 100755
--- a/bin/live-snapshot
+++ b/bin/live-snapshot
@@ -443,10 +443,10 @@ Do_snapshot ()
                                        grep -F -v -f "${EXCLUDE_LIST}" | \
                                        tr '\n' '\0' | \
                                        tr '\1' '\n' | \
-                                       $COPY_CMD || exit 1
+                                       eval $COPY_CMD || exit 1
                        else
                                cat "${TMP_FILELIST}" | \
-                                       $COPY_CMD || exit 1
+                                       eval $COPY_CMD || exit 1
                        fi
                        cd "${OLDPWD}"
                        ;;


-- 
basta vi prego -> http://it.wikipedia.org/wiki/Top-posting
avoid that please! -> http://en.wikipedia.org/wiki/Posting_style#Top-posting
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.


Reply to: